%define name	qsf
%define version	0.9.0
%define release 1mdk

Summary:	Quick spam filter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Networking/Mail
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.ivarch.com/programs/qsf.shtml
BuildRequires:	libgdbm2-devel
Requires:	libgdbm2
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Quick Spam Filter is a small, fast spam filter that works by
learning to recognise the words that are more likely to appear in
spam than non-spam. It is intended to be used in a procmail recipe
to mark email as being possible spam.

%prep

%setup -q

# this file gets eaten
cp doc/quickref.txt doc/quickref.txt.bak

%build

%configure2_5x \
    --with-gdbm

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

cp doc/quickref.txt.bak doc/quickref.txt

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README doc/NEWS doc/quickref.txt doc/TODO
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man*/*

%changelog
* Fri Aug 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.0-1mdk
- 0.9.0

* Thu Aug 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.1-1mdk
- 0.8.1

* Tue Aug 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7.8-1mdk
- 0.7.8

* Thu Jul 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7.7-1mdk

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7.6-1mdk
- initial cooker contrib

